package com.fjhx.service;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.base.BaseService;
import com.fjhx.entity.EmailMailbox;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zlj
 * @since 2022-12-20
 */
public interface IEmailMailboxService extends BaseService<EmailMailbox> {

    List<JSONObject> getList(String email);

    void add(EmailMailbox emailMailbox);

    void edit(EmailMailbox emailMailbox);

    void delete(Long emailMailboxId);

}
