package com.fjhx.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.EmailMessageSend;
import com.fjhx.vo.GetEmailMessagePageVo;
import com.fjhx.vo.SendVo;
import com.fjhx.vo.SubmitVo;

/**
 * <p>
 * 邮件推送信息 服务类
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
public interface IEmailMessageSendService extends BaseService<EmailMessageSend> {

    void send(SubmitVo submitVo);

    Page<EmailMessageSend> getPage(GetEmailMessagePageVo vo);

    void delete(Long messageSendId);

}
