package com.fjhx.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.entity.EmailMessageSendReceive;
import com.fjhx.mapper.EmailMessageSendReceiveMapper;
import com.fjhx.service.IEmailMessageSendReceiveService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 邮件发件信息 服务实现类
 * </p>
 *
 * @author zlj
 * @since 2023-01-13
 */
@Service
public class EmailMessageSendReceiveServiceImpl extends ServiceImpl<EmailMessageSendReceiveMapper, EmailMessageSendReceive> implements IEmailMessageSendReceiveService {

    @Override
    public List<EmailMessageSendReceive> getReceiveList(String messageSendId) {
        return list(q -> q.eq(EmailMessageSendReceive::getMessageSendId, messageSendId));
    }

}
