package com.fjhx.vo;

import lombok.Data;

@Data
public class VerifyVo {

    private Imap imap;

    private Smtp smtp;

    @Data
    public static class Auth {
        private String user;
        private String pass;
    }

    @Data
    public static class Tls {
        private Boolean rejectUnauthorized;
        private String minVersion;
    }

    @Data
    public static class Imap {
        private Auth auth;
        private Integer port;
        private String host;
        private Tls tls;
        private Boolean secure;
    }

    @Data
    public static class Smtp {
        private Auth auth;
        private Integer port;
        private String host;
        private Tls tls;
        private Boolean secure;
    }

}
