package com.fjhx.config.exception;

import cn.hutool.http.HttpStatus;
import lombok.Getter;

@Getter
public class EmailEngineException extends RuntimeException {

    private final Integer errorCode;

    private final String errorMsg;

    // 传入业务异常说明
    public EmailEngineException(String errorMsg) {
        super(errorMsg);

        this.errorCode = HttpStatus.HTTP_BAD_REQUEST;
        this.errorMsg = errorMsg;
    }

}
