package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 邮箱配置列表
 * </p>
 *
 * @author zlj
 * @since 2022-12-20
 */
@Getter
@Setter
@TableName("email_info")
public class EmailInfo extends BaseEntity {

    /**
     * 邮箱
     */
    private String email;

    /**
     * 密匙
     */
    private String secretKey;

    /**
     * imap端口号
     */
    private Integer imapPort;

    /**
     * imap路径
     */
    private String imapHost;

    /**
     * smtp端口号
     */
    private Integer smtpPort;

    /**
     * smtp路径
     */
    private String smtpHost;

    /**
     * 邮箱路径
     */
    private String path;

}
