package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 邮件发件信息
 * </p>
 *
 * @author zlj
 * @since 2023-01-13
 */
@Getter
@Setter
@TableName("email_message_send_attachment")
public class EmailMessageSendAttachment implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 发送邮件id
     */
    private Long messageSendId;

    /**
     * 附件名称
     */
    private String name;

    /**
     * 附件地址
     */
    private String path;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

}
