package com.fjhx.vo;

import cn.hutool.core.util.ObjectUtil;
import lombok.Data;

@Data
public class BindingVo {

    /**
     * 用户id
     */
    private String userId;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 密匙
     */
    private String secretKey;

    private Integer imapPort;

    private String imapHost;

    private Integer smtpPort;

    private String smtpHost;

    private String path;

    public String getPath() {
        return ObjectUtil.isEmpty(path) ? "INBOX" : path;
    }

    private int pages;

    public int getPages() {
        return pages <= 0 ? 10 : pages;
    }

}
