package com.fjhx.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class ProgressVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 同步页数
     */
    private Integer page;

    /**
     * 总页数
     */
    private Integer pages;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 邮件id
     */
    private Long emailInfoId;

    /**
     * 路径
     */
    private String path;

    /**
     * 所有需要同步的邮件数量
     */
    private Integer totalMessageCount;

    /**
     * 已同步的数量
     */
    private Integer completeMessageCount;

    /**
     * 完成百分比
     */
    private Integer percentage;

}
